package jp.sourceforge.orangesignal.ta.candle;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class TrendTypeTest {

	@Test
	public void values() {
		final TrendType[] values = TrendType.values();
		for (final TrendType value : values) {
			switch (value) {
				case UP: case DOWN: case NONE:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
